﻿using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.ServiceModel;

namespace WCFTestService
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the interface name "IPerfService" in both code and config file together.
    [ServiceContract]
    public interface IPerfService
    {

        [OperationContract]
        PerfItem GetData( int seed );
    }

    [DataContract]
    public class PerfItem
    {
        public PerfItem()
        {
            ChildItems = new List<ChildItem>();
        }

        [DataMember]
        public DateTime RunTime { get; set; }

        [DataMember]
        public Int32 SleepTime { get; set; }

        [DataMember]
        public Int32 Seed { get; set; }
      
        [DataMember]
        public IList<ChildItem> ChildItems { get; set; }
    }

    [DataContract]
    public class ChildItem
    {
        [DataMember]
        public string SomeLongMethodName { get; set; }

        [DataMember]
        public DateTime TodaysDate { get; set; }
    }
}
