﻿using System;

namespace WCFTestService
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the class name "PerfService" in code, svc and config file together.
    public class PerfService : IPerfService
    {
        public PerfItem GetData( int seed )
        {
            var random = new Random( seed );
            var next = random.Next( 0, 100 );

            var perfItem = new PerfItem
                               {
                                   RunTime = DateTime.Now,
                                   Seed = seed,
                                   SleepTime = next * 10
                               };

            for ( int i = 0; i < seed; i++ )
            {
                perfItem.ChildItems.Add( new ChildItem{ SomeLongMethodName = "abcdefghijklm", TodaysDate = DateTime.Now } );
            }

            System.Threading.Thread.Sleep( perfItem.SleepTime );

            return perfItem;
        }
    }
}
